groovy.xml.dom

## Class DOMUtil

- java.lang.Object
- - groovy.xml.dom.DOMUtil

    public class DOMUtil
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`DOMUtil()`

### Method Summary

Methods
`static String` `serialize(Element element)` Deprecated. use XmlUtil version instead
`static void` `serialize(Element element, OutputStream os)` Deprecated. use XmlUtil version instead

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DOMUtil

    public DOMUtil()

### Method Detail

#### serialize

    public static String serialize(Element element)

Deprecated. use XmlUtil version instead
Return a pretty version of the Element.

Parameters:
  `element` - the element to serialize
Returns:
  the pretty String representation of the element

#### serialize

    public static void serialize(Element element,
                 OutputStream os)

Deprecated. use XmlUtil version instead
Write a pretty version of the Element to the OutputStream.

Parameters:
  `element` - the element to serialize
  `os` - the outputstream to write to